Quantcast IDE Recommendations? - ESOUI
Thread Tools Display Modes
06/30/18, 09:20 PM   #1
hawkeye1889
Join Date: Jun 2017
Posts: 12
IDE Recommendations?

I'm looking for an IDE that supports auto completion for eso api that is up to date ie 100023 any suggestions?


Thanks
  Reply With Quote
07/01/18, 03:45 AM   #2
Patros
 
Patros's Avatar
Join Date: Mar 2014
Posts: 8
See www.esoui.com/forums/showthread.php?t=1820 and http://www.esoui.com/forums/showthread.php?t=776 .

One thread is IntelliJ with a generated API file for autocompletion. The other one is a custom plugin for a LUA-Editor.
  Reply With Quote
07/01/18, 04:43 AM   #3
Baertram
 
Baertram's Avatar
AddOn Author - Click to view addons
Join Date: Mar 2014
Posts: 1,618
I'm using IntelliJ and try to keep the api files up 2 date. Takes some time, but you are able to check most files also within the wiki or esoui only code at github.
  Reply With Quote
07/12/18, 01:29 AM   #4
Patros
 
Patros's Avatar
Join Date: Mar 2014
Posts: 8
There is also something for Eclipse LDT now: http://www.esoui.com/downloads/info2...ocomplete.html
  Reply With Quote

ESOUI » Developer Discussions » Dev Tools » IDE Recommendations?

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off